# Interface MultiPointCoordSet

All Known Subinterfaces:
  `CartesianMultiPointCoordSet, SkyMultiPointCoordSet`

All Known Implementing Classes:
  `CartesianErrorCoordSet, CartesianVectorCoordSet, PlaneCorrelationCoordSet, PlaneEllipseCoordSet, SkyCorrelationCoordSet, SkyEllipseCoordSet, SkyVectorCoordSet`

public interface MultiPointCoordSet
Defines non-central coordinates used by a MultiPointPlotter.

Since:
  18 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Coord[]`
`getCoords()`
Returns the coordinate definitions.
`int`
`getPointCount()`
Returns the number of (non-central) data positions defined by this coord set.

## Method Details

### getCoords

Coord[] getCoords()
Returns the coordinate definitions.

Returns:
  coords

### getPointCount

int getPointCount()
Returns the number of (non-central) data positions defined by this coord set.

Returns:
  data position count